<?php

namespace Modules\Routing;

use Filament\Contracts\Plugin;
use Filament\Panel;

class RoutingPlugin implements Plugin
{
    public function getId(): string
    {
        return 'routing';
    }

    public function register(Panel $panel): void
    {
        $panel
            ->discoverResources(
                in: __DIR__.'/Filament/Resources',
                for: 'Modules\Routing\Filament\Resources',
            )
            ->discoverPages(
                in: __DIR__.'/Filament/Pages',
                for: 'Modules\Routing\Filament\Pages',
            )
            ->discoverWidgets(
                in: __DIR__.'/Filament/Widgets',
                for: 'Modules\Routing\Filament\Widgets',
            );
    }

    public function boot(Panel $panel): void {}

    public static function make(): static
    {
        return app(static::class);
    }
}
